Recommended TO Update?

Discussion in 'Wii - Hardware, Devices and Utilities' started by Chronics, Oct 3, 2007.

Oct 3, 2007

Recommended TO Update? by Chronics at 6:25 AM (690 Views / 0 Likes) 1 replies

  1. Chronics
    OP

    Newcomer Chronics Advanced Member

    Joined:
    Apr 17, 2007
    Messages:
    93
    Country:
    United States
    Im so old, i haven't been touching or playing my wii ever since resident evil 4...is it recommended to update my wii now, in regards to all these new updates..
    im still on wiikey v.1.2 and wii 2.2U....
    now theirs v1.3 and 3.0.....whats the difference? and for example i wanna play metroid, do i have to update of can i just use wiibrickblocker and play on my wii with 1.2 and 2.2??

    anything will help..ty
     
  2. shadowboy

    Member shadowboy :D

    Joined:
    Aug 30, 2006
    Messages:
    1,347
    Country:
    United States
    Search Button is your friend. That said, 1.9b of wiikey lets you play Naruto games, and version 3.0 of wii makes metroid work. Brickblocker cannot fix it, sadly.
     

Share This Page